#pragma once
#include <linux/kernel.h>
#include <linux/printk.h>

// This GCC extension removes the trailing comma when __VA_ARGS__ is empty. This
// ensures the macro works whether or not extra arguments are provided.
#define DEBUG_FMT(fmt, ...)                                                    \
    {                                                                          \
        pr_debug("[%s:%d in %s()]: " fmt, kbasename(__FILE__), __LINE__,       \
                 __func__, ##__VA_ARGS__);                                     \
    }
